Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
NOTiFYPiNPOiNT
Posts: 55
Registered: ‎07-21-2009
My Device: Bold 9700 - 6.0 Bundle 1202 (v6.0.0.344, Platform 6.6.0.50)
My Carrier: Orange UK
Accepted Solution

BlackBerry Java SDK v6.0.0 which Operating System on device?

I've installed BlackBerry Java SDK v6.0.0 and have the BlackBerry Java Plug-in 1.1.2.201004161203-16 in Eclipse.

 

Which Op System will run applications compiled and packaged with the Java SDK v6.0.0?

 

Is it just a release ready for OS v.6 or will Apps run on OS v.5.x?

 

 

I've compiled packaged etc and tried to load my ALX file onto my BB I get;

 

"No applications can be found. Your file may contain applications that already exist ..... " etc.

 

Google'd and it was suggested that I uninstalled BB Desktop, cleanregistry etc., downloaded latest version. Done, but no joy.

 

Thanks.

"It's all about quality (of posts) not quantity"
Please use plain text.
Developer
simon_hain
Posts: 15,802
Registered: ‎07-29-2008
My Device: Z10 LE
My Carrier: O2 Germany

Re: BlackBerry Java SDK v6.0.0 which Operating System on device?

all devices are downwards compatible, but not upwards.

this means an application compiled with os 6 will run only on OS6 devices (and simulators).

if you compile with 4.2.1 all devices with OS 4.2.1 or higher, for example OS 6, will run it.

----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Please use plain text.